Strophe: XMPP::Context Class Reference

Strophe 0.9 XMPP client library

Public Member Functions | Static Private Member Functions | Private Attributes
XMPP::Context Class Reference

## Public Member Functions
| Context ()
virtual | ~Context ()
virtual void * | alloc (const size_t size)
virtual void * | realloc (void *p, const size_t size)
virtual void | free (void *p)
virtual void | log (const xmpp_log_level_t level, const char *const area, const char *const msg)
xmpp_ctx_t * | getContext ()

## Static Private Member Functions
static void * | callAlloc (const size_t size, void *const userdata)
static void * | callRealloc (void *p, const size_t size, void *const userdata)
static void | callFree (void *p, void *const userdata)
static void | callLog (void *const userdata, const xmpp_log_level_t level, const char *const area, const char *const msg)

## Private Attributes
xmpp_mem_t | m_mem
xmpp_log_t | m_log
xmpp_ctx_t * | m_ctx

## Constructor & Destructor Documentation

## § Context()

XMPP::Context::Context | ( |  | ) |

## § ~Context()

virtual XMPP::Context::~Context | ( |  | ) |
| virtual

## Member Function Documentation

## § alloc()

virtual void* XMPP::Context::alloc | ( | const size_t | size | ) |
| virtual

## § realloc()

virtual void* XMPP::Context::realloc | ( | void * | p,
|  | const size_t | size
| ) |  |
| virtual

## § free()

virtual void XMPP::Context::free | ( | void * | p | ) |
| virtual

## § log()

virtual void XMPP::Context::log | ( | const xmpp_log_level_t | level,
|  | const char *const | area,
|  | const char *const | msg
| ) |  |
| virtual

## § getContext()

xmpp_ctx_t* XMPP::Context::getContext | ( |  | ) |

## § callAlloc()

static void* XMPP::Context::callAlloc | ( | const size_t | size,
|  | void *const | userdata
| ) |  |
| staticprivate

## § callRealloc()

static void* XMPP::Context::callRealloc | ( | void * | p,
|  | const size_t | size,
|  | void *const | userdata
| ) |  |
| staticprivate

## § callFree()

static void XMPP::Context::callFree | ( | void * | p,
|  | void *const | userdata
| ) |  |
| staticprivate

## § callLog()

static void XMPP::Context::callLog | ( | void *const | userdata,
|  | const xmpp_log_level_t | level,
|  | const char *const | area,
|  | const char *const | msg
| ) |  |
| staticprivate

## Field Documentation

## § m_mem

xmpp_mem_t XMPP::Context::m_mem
| private

## § m_log

xmpp_log_t XMPP::Context::m_log
| private

## § m_ctx

xmpp_ctx_t* XMPP::Context::m_ctx
| private

The documentation for this class was generated from the following file:

- strophepp.h